Uses of Class
org.apache.juneau.http.part.HttpPartList
Packages that use HttpPartList
Package
Description
Next-generation HTTP part (query/form/path) implementations.
REST Server API
-
Uses of HttpPartList in org.apache.juneau.http.part
Subclasses of HttpPartList in org.apache.juneau.http.partModifier and TypeClassDescriptionstatic classAn unmodifiable snapshot of aHttpPartList.static final classRepresents no part list in annotations.Methods in org.apache.juneau.http.part that return HttpPartListModifier and TypeMethodDescriptionAppends a part constructed from the given name and string value.Appends the given parts in order.Appends the given part.Appends the given parts in order.HttpPartList.caseInsensitive(boolean value) Sets whether part-name comparisons are case-insensitive.HttpPartList.Unmodifiable.caseInsensitive(boolean value) HttpPartList.copy()Returns a copy of this list.static HttpPartListHttpPartList.create()Creates a new emptyHttpPartList.Performs an action on each part whose name matches.static HttpPartListCreates a newHttpPartListinitialized with the given parts.static HttpPartListCreates a newHttpPartListinitialized with the given parts.static HttpPartListRemoves all parts with the given name.Sets a part with the given name and value, replacing any prior entry with the same name.Sets the given part, replacing any prior entry with the same name.Sets the given parts, each replacing any prior entry with the same name.HttpPartList.setDefault(String name, String value) Sets a default part with the given name and value (first-in-chain wins per name).HttpPartList.setDefault(HttpPart value) Sets the given part as a default.HttpPartList.setDefault(HttpPart... values) Sets the given parts as defaults, in order.HttpPartList.Unmodifiable.setDefault(String name, String value) HttpPartList.Unmodifiable.setDefault(HttpPart value) HttpPartList.Unmodifiable.setDefault(HttpPart... values) HttpPartList.unmodifiable()Returns an unmodifiable snapshot of this list.Constructors in org.apache.juneau.http.part with parameters of type HttpPartList -
Uses of HttpPartList in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that return HttpPartListModifier and TypeMethodDescriptionRestOpContext.getDefaultRequestFormData()Returns the default form data parameters.RestOpContext.getDefaultRequestQueryData()Returns the default request query parameters.